import request from '@/config/axios'

// 获取历史车辆
export const getHisFlows = (data) => {
  return request.post({ url: '/qxsd/vehicle/passingProfileList', data })
}

// 获取历史车辆
export const getCarImages = (params) => {
  return request.get({ url: '/qxsd/vehicle/passProfileImage', params })
}

// 获取历史车辆
export const getFlowCars = (data) => {
  return request.post({ url: '/qxsd/vehicle/getCarLocusData', data })
}

// 批量获取轨迹车辆图片
export const getCarImagesList = (data) => {
  return request.post({ url: '/qxsd/vehicle/passProfileImageList', data })
}

// 通行统计
export const getSummaryFlows = (data) => {
  return request.post({ url: '/qxsd/report/carTypeFlow', data })
}

// 月流量趋势
export const getFlowTrendMounth = (data) => {
  return request.post({ url: '/qxsd/report/carTypeFlowDay', data })
}

// 日流量趋势
export const getFlowTrendDay = (data) => {
  return request.post({ url: '/qxsd/report/carTypeFlowHour', data })
}

// 日平均速度趋势
export const getSpeedTrendDay = (data) => {
  return request.post({ url: '/qxsd/report/carTypeSpeedTrend', data })
}